REM this batch file runs the sample application using the SunJDK. You must change
REM the following lines to reflect where you have installed the nmacros
REM directory, and where the various SDKs are installed.

REM Note: These initial lines are the same for each of the three batch files
REM included with this package.

REM
REM the drive and path to the CodeWarrior project
REM
set PROJDRIVE=e:
set PROJHOME=e:\CODEWA~1\projects\nmacros

REM
REM the location of the SunJDK
REM
set JDKHOME=e:\jdk1.1.4

REM
REM the location of the MS JSDK
REM
set MSSDKHOME=c:\SDK-Java.20

REM
REM the location of zip.exe
REM
set ZIPHOME=c:\infozip

REM
REM the name of the .zip file which will contain the Java app
REM
set ZIPFILENAME=ntest.zip

REM
REM derived from the package and class name
REM
set FULLCLASSNAME=COM.tolstoy.nativetest.NativeTest
set ORIGINALHFILE=COM_tolstoy_nativetest_NativeTest.h

REM
REM name of the JNI native header file
REM
set JNIHFILE=JNI_main.h

REM
REM name of the RNI native header file
REM
set RNIHFILE=RNI_main.h


%PROJDRIVE%
cd %PROJHOME%

set classpath=.;%PROJHOME%\%ZIPFILENAME%;%JDKHOME%\lib\classes.zip
set path=%path%;%PROJHOME%\
%JDKHOME%\bin\java %FULLCLASSNAME%